<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="EPSOS2XCPD"/>
    <ui:define name="head">
        <h:outputStylesheet library="stylesheet" name="resultStyle.css"/>
    </ui:define>
    <ui:define name="body">
        <h:form id="globalForm">
            <rich:messages globalOnly="true" styleClass="message"/>
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.xdstar.EpSOS2PatientIdentificationAndAuthenticationServ']}</h1>
                <gri:panel id="mainPanel">
                    <f:facet name="header">
                        #{messages['net.ihe.gazelle.xdstar.EpSOS2PatientIdentificationAndAuthenticationServ']}
                    </f:facet>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ThisToolAllowsToSimulateTheTransaction']} #{epSOS2XCPDManager.selectedTransaction.keyword}."/>
                    <br/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveToSelectTheResponderConfigur']}"/>
                    <s:div id="configurationDiv">
                        <ui:include src="/simu/header.xhtml">
                            <ui:param name="divToRerender"
                                      value="messageConfigurationDiv,messagesDiv,actionButtons"/>
                            <ui:param name="simuManager" value="#{epSOS2XCPDManager}"/>
                            <ui:param name="diagramFile" value="/img/PIAS.png"/>
                            <ui:param name="sourceID" value="#{epSOS2XCPDManager.getSourceOid()}"/>
                            <ui:param name="homeCommunityID" value="#{epSOS2XCPDManager.gethomeCommunityId()}"/>
                            <ui:param name="simulatorConfigurationName"
                                      value="#{messages['net.ihe.gazelle.xdstar.NCPBPatientIdentificationAndAuthenticationServic']}"/>
                            <ui:param name="displaySourceId" value="#{false}"/>
                            <ui:param name="displayhomeCommunityId" value="#{true}"/>
                        </ui:include>
                        <s:div id="messageConfigurationDiv">
                            <s:div id="messageConfigurationDivR"
                                   rendered="#{(epSOS2XCPDManager.selectedConfiguration != null) and (epSOS2XCPDManager.selectedTransaction != null)}">
                                <gri:panel>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.Request']}</f:facet>
                                    <f:subview id="subview_1">
                                        <ui:include src="/tools/parameters.xhtml">
                                            <ui:param name="xcpdInitManager" value="#{epSOS2XCPDManager}"/>
                                        </ui:include>
                                    </f:subview>
                                    <!-- XUA -->
                                    <f:subview id="subview_2">
                                        <ui:include src="/simu/xua_with_trc.xhtml">
                                            <ui:param name="simuManager" value="#{epSOS2XCPDManager}"/>
                                        </ui:include>
                                    </f:subview>
                                    <s:div id="buttondiv">
                                        <a4j:commandButton styleClass="gzl-btn-green"
                                                           value="#{messages['net.ihe.gazelle.xdstar.ExternalValidation']}"
                                                           id="xvalidButton"
                                                           rendered="#{epSOS2XCPDManager.useRequestGenerator == false}"
                                                           actionListener="#{epSOS2XCPDManager.externalValidation()}"
                                                           oncomplete="jq162('#detailResultModal').modal('show');"
                                                           render="messageDecoration,detailResultModal"/>
                                        <h:selectOneMenu id="val" value="#{epSOS2XCPDManager.xmlMetaDataReq}"
                                                         rendered="#{epSOS2XCPDManager.useRequestGenerator == false}"
                                                         styleClass="form-control gzl-form-control gzl-select-text">
                                            <f:selectItem itemValue="IHE - XCPD ITI-55 (request)"/>
                                            <f:selectItem itemValue="epSOS - Identification Service (request)"/>
                                        </h:selectOneMenu>
                                    </s:div>
                                </gri:panel>
                                <br/>
                            </s:div>
                        </s:div>
                    </s:div>
                    <!-- send button -->
                    <s:div id="actionButtons">
                        <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                                           oncomplete="jq162('#previewMessagePanel').modal('show');"
                                           value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                           rendered="#{epSOS2XCPDManager.selectedConfiguration != null}"
                                           render="previewMessagePanel"/>
                        <a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
                                           actionListener="#{epSOS2XCPDManager.sendMessage()}"
                                           value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
                                           rendered="#{epSOS2XCPDManager.selectedConfiguration != null}"
                                           render="messagesDiv"/>
                        <!-- reset button -->
                        <a4j:commandButton id="resetButton" styleClass="gzl-btn"
                                           actionListener="#{epSOS2XCPDManager.reset()}"
                                           value="#{messages['net.ihe.gazelle.xdstar.Reset']}"
                                           render="globalDiv"/>
                    </s:div>
                </gri:panel>
                <!--  response div -->
                <s:div id="messagesDiv">
                    <gri:panel id="messagesPanel" rendered="#{epSOS2XCPDManager.displayResultPanel == true}">
                        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
                        #{allMessageManagerBean.listMessagesToDisplay()}
                        <f:subview id="subview_3">
                            <ui:include id="messageTable" src="/messages/messageTable.xhtml">
                                <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
                            </ui:include>
                        </f:subview>
                    </gri:panel>
                </s:div>
            </s:div>
        </h:form>
        <gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#previewMessagePanel').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <h:form>
                <s:div id="previewMessagePanelDiv" rendered="#{epSOS2XCPDManager.selectedConfiguration != null}"
                       style="overflow: auto; width: 880px; height: 470px;">
                    <gdk:insert id="highlightcontent" content="#{epSOS2XCPDManager.previewMessage()}" highlight="xml"/>
                </s:div>
            </h:form>
        </gri:popupPanel>
        <!-- detail Result Modal -->
        <gri:popupPanel id="detailResultModal">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.DetailedResult']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#detailResultModal').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <s:decorate id="driddec">
                <div style="overflow: auto; width: 880px; height: 560px;">
                    <ui:include src="/tools/detailedResult.xhtml">
                        <ui:param name="manager" value="#{epSOS2XCPDManager}"/>
                    </ui:include>
                </div>
            </s:decorate>
        </gri:popupPanel>
    </ui:define>
</ui:composition>
